> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve banks

> Retrieve supported banks by country.



## OpenAPI

````yaml Flutterwave_v4_Open_API.json get /banks
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /banks:
    get:
      tags:
        - Banks
      summary: Retrieve banks
      description: Retrieve supported banks by country.
      operationId: banks_get
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - in: query
          required: true
          name: country
          schema:
            $ref: '#/components/schemas/banks_country_iso2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/banks'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    banks_country_iso2:
      type: string
      description: ISO 2 country code.
      enum:
        - CM
        - CI
        - CG
        - EG
        - ET
        - GA
        - GH
        - IN
        - KE
        - MW
        - NG
        - RW
        - SL
        - SN
        - TD
        - TZ
        - UG
        - US
        - ZA
        - ZM
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    banks:
      type: array
      items:
        $ref: '#/components/schemas/bank_item'
    bank_item:
      type: object
      properties:
        id:
          type: string
          description: The bank ID.
          format: string
          example: bnk_cYjd92Qk
        code:
          type: string
          description: The bank code.
          example: '035'
        name:
          type: string
          description: The bank name.
          example: Access Bank
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````